<?php
namespace Incoviba\nuevo\Common;

use Incoviba\Common\Alias\NewModel;

/**
 * 
 * @author Aldarien
 * @property int id
 * @property string descripcion
 * @property Provincia provincia_id
 *
 */
class Comuna extends NewModel
{
	protected static $_table = 'comunas';
	
    //
    public function provincia()
    {
    	return $this->belongs_to(Provincia::class, 'provincia_id')->findOne();
    }
    public function direcciones()
    {
    	return $this->has_many(Direccion::class, 'comuna_id')->findMany();
    }
}
